# eric4.Helpviewer.History.HistoryDialog

Module implementing a dialog to manage history.

### Global Attributes

None

### Classes

HistoryDialog | Class implementing a dialog to manage history.

### Functions

None

## HistoryDialog

Class implementing a dialog to manage history.

### Signals

newUrl(const QUrl&, const QString&)
  emitted to open a URL in a new tab
openUrl(const QUrl&, const QString&)
  emitted to open a URL in the current tab

### Derived from

QDialog, Ui_HistoryDialog

### Class Attributes

None

### Class Methods

None

### Methods

HistoryDialog | Constructor
__activated | Private slot to handle the activation of an entry.
__copyHistory | Private slot to copy a history entry's URL to the clipboard.
__customContextMenuRequested | Private slot to handle the context menu request for the bookmarks tree.
__modelReset | Private slot handling a reset of the tree view's model.
__openHistory | Private method to open a history entry.
__openHistoryInCurrentTab | Private slot to open a history entry in the current browser tab.
__openHistoryInNewTab | Private slot to open a history entry in a new browser tab.

### Static Methods

None

#### HistoryDialog (Constructor)

HistoryDialog(parent = None, manager = None)

Constructor

parent
  reference to the parent widget (QWidget
manager
  reference to the history manager object (HistoryManager)

#### HistoryDialog.__activated

__activated(idx)

Private slot to handle the activation of an entry.

idx
  reference to the entry index (QModelIndex)

#### HistoryDialog.__copyHistory

__copyHistory()

Private slot to copy a history entry's URL to the clipboard.

#### HistoryDialog.__customContextMenuRequested

__customContextMenuRequested(pos)

Private slot to handle the context menu request for the bookmarks tree.

pos
  position the context menu was requested (QPoint)

#### HistoryDialog.__modelReset

__modelReset()

Private slot handling a reset of the tree view's model.

#### HistoryDialog.__openHistory

__openHistory(newTab)

Private method to open a history entry.

newTab
  flag indicating to open the history entry in a new tab (boolean)

#### HistoryDialog.__openHistoryInCurrentTab

__openHistoryInCurrentTab()

Private slot to open a history entry in the current browser tab.

#### HistoryDialog.__openHistoryInNewTab

__openHistoryInNewTab()

Private slot to open a history entry in a new browser tab.

Up